Package com.emc.d2fs.models.context

# Class PagingParam

java.lang.Object
com.emc.d2fs.models.context.PagingParam

All Implemented Interfaces:
  `Serializable`

public class PagingParam extends Object implements Serializable

Java class for pagingParam complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="pagingParam">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="page" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="itemsPerPage" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
           <attribute name="includeTotal" type="{http://www.w3.org/2001/XMLSchema}boolean" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PagingParam()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getItemsPerPage()`
  Gets the value of the itemsPerPage property.
  `int`
  `getPage()`
  Gets the value of the page property.
  `Boolean`
  `isIncludeTotal()`
  Gets the value of the includeTotal property.
  `void`
  `setIncludeTotal(Boolean value)`
  Sets the value of the includeTotal property.
  `void`
  `setItemsPerPage(int value)`
  Sets the value of the itemsPerPage property.
  `void`
  `setPage(int value)`
  Sets the value of the page property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PagingParam

    public PagingParam()

- ## Method Details

  - ### getPage

    public int getPage()
    Gets the value of the page property.

  - ### setPage

    public void setPage(int value)
    Sets the value of the page property.

  - ### getItemsPerPage

    public int getItemsPerPage()
    Gets the value of the itemsPerPage property.

  - ### setItemsPerPage

    public void setItemsPerPage(int value)
    Sets the value of the itemsPerPage property.

  - ### isIncludeTotal

    public Boolean isIncludeTotal()
    Gets the value of the includeTotal property.
    Returns:
      possible object is `Boolean`

  - ### setIncludeTotal

    public void setIncludeTotal(Boolean value)
    Sets the value of the includeTotal property.
    Parameters:
      `value` - allowed object is `Boolean`